OGRE: Ogre::DynLib Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::DynLib Class Reference
Core » General

Resource holding data about a dynamic library. More...

`#include <OgreDynLib.h>`

Inheritance diagram for Ogre::DynLib:
[legend]

## Public Member Functions
| DynLib (const String &name)
| Default constructor - used by DynLibManager. More...
| ~DynLib ()
| Default destructor. More...
const String & | getName (void) const
| Get the name of the library. More...
void * | getSymbol (const String &strName) const throw ()
| Returns the address of the given symbol from the loaded library. More...
void | load ()
| Load the library. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
void | unload ()
| Unload the library. More...

## Detailed Description

Resource holding data about a dynamic library.

Remarks
  This class holds the data required to get symbols from libraries loaded at run-time (i.e. from DLL's for so's)

Author
  Adrian Cearn„u (cearn.nosp@m.y@ce.nosp@m.arny..nosp@m.ro)

Since
  27 January 2002

## Constructor & Destructor Documentation

## ◆ DynLib()

Ogre::DynLib::DynLib | ( | const String & | name | ) |

Default constructor - used by DynLibManager.

Warning
  Do not call directly

## ◆ ~DynLib()

Ogre::DynLib::~DynLib | ( |  | ) |

Default destructor.

## Member Function Documentation

## ◆ getName()

const String& Ogre::DynLib::getName | ( | void |  | ) | const
| inline

Get the name of the library.

## ◆ getSymbol()

void* Ogre::DynLib::getSymbol | ( | const String & | strName | ) | const
throw | ( |
| ) |  |

Returns the address of the given symbol from the loaded library.

Parameters

  strName | The name of the symbol to search for

Returns
  If the function succeeds, the returned value is a handle to the symbol.

  If the function fails, the returned value is NULL.

## ◆ load()

void Ogre::DynLib::load | ( |  | ) |

Load the library.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ unload()

void Ogre::DynLib::unload | ( |  | ) |

Unload the library.

The documentation for this class was generated from the following file:

- OgreDynLib.h